#### D.4.27.15 radicalEHV

Procedure from library `primdec.lib` (see primdec_lib).

Usage:
  radicalEHV(i); i ideal.

Return:
  ideal, the radical of i.

Note:
  Uses the algorithm of Eisenbud/Huneke/Vasconcelos, which reduces the computation to the complete intersection case, by taking, in the general case, a generic linear combination of the input.
  Works only in characteristic 0 or p large.

Example:

    LIB "primdec.lib";
    ring  r = 0,(x,y,z),dp;
    poly  p = z2+1;
    poly  q = z3+2;
    ideal i = p*q^2,y-z2;
    ideal pr= radicalEHV(i);
    pr;
    ==> pr[1]=z2-y
    ==> pr[2]=y2z+yz+2y+2
    ==> pr[3]=y3+y2+2yz+2z

User manual for Singular version 4.4.1, 2025, generated by texi2html.